using System;
using System.ComponentModel;
using System.Windows.Forms;

namespace Azyobuzi.Twirunrun
{
    public partial class TextViewer : Form
    {
        public TextViewer()
        {
            InitializeComponent();
        }

        private void TextViewer_Load(object sender, System.EventArgs e)
        {
            Settings.Instance.ViewerForm.Restore(this);
        }

        private void TextViewer_BoundsChanged(object sender, System.EventArgs e)
        {
            if (WindowState == FormWindowState.Normal)
                Settings.Instance.ViewerForm = FormSettings.FromForm(this);
            Settings.Instance.ViewerForm.WindowState = this.WindowState;
        }
    }
}
